Get the changes summary scoped to the most recent inventory batch only. The recent_changes field equals total_changes since all changes are from the latest batch.
GET
/systems/{id}/inventory/changes/latest
curl \
--request GET 'https://collect.your-domain.com/api/systems/sys_123456789/inventory/changes/latest' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"code": 200,
"message": "latest inventory changes summary retrieved successfully",
"data": {
"system_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"total_changes": 42,
"recent_changes": 5,
"last_inventory_time": "2026-02-20T14:30:00Z",
"has_critical_changes": false,
"has_alerts": true,
"changes_by_category": {
"os": 10,
"network": 8,
"hardware": 5,
"security": 3
},
"changes_by_severity": {
"low": 20,
"high": 5,
"medium": 15,
"critical": 2
}
}
}
Response examples (401)
{
"code": 401,
"message": "invalid token",
"data": {}
}
Response examples (403)
{
"code": 403,
"message": "insufficient permissions",
"data": {}
}